import base64


def encode_nickname(nickname: str) -> bytes:
    """Кодирует nickname в base64."""
    return base64.b64encode(bytes(nickname, "utf-8"))


def decode_nickname(encoded_nickname: str) -> str:
    """Декодирует base64, содержащийся в строке encoded_nickname. """

    # пришлось отрезать кусок b из самой строки, потому что байты были
    # всунуты в строку, и base64 не понимал
    return base64.b64decode(encoded_nickname[1:]).decode()
