from django.shortcuts import render
from django.http import HttpResponse
from posts.models import Post


def index(request):
    post_list = Post.objects.order_by("-pub_date")[:10]
    return render(request, "mainpage/index.html", {"posts": post_list})
